# raw_storage_iterator Class Template Reference

Inheritance diagram for raw_storage_iterator:

List of all members.

## Detailed Description

### template<class _ForwardIterator, class _Tp>
class std::raw_storage_iterator< _ForwardIterator, _Tp >

This iterator class lets algorithms store their results into uninitialized memory.

Definition at line 71 of file stl_raw_storage_iter.h.

## Public Types

- typedef void difference_type
- typedef output_iterator_tag iterator_category
- typedef void pointer
- typedef void reference
- typedef void value_type

## Public Member Functions

- raw_storage_iterator & operator * ()
- raw_storage_iterator< _ForwardIterator,
  _Tp > operator++ (int)
- raw_storage_iterator< _ForwardIterator,
  _Tp > & operator++ ()
- raw_storage_iterator & operator= (const _Tp &__element)
- raw_storage_iterator (_ForwardIterator __x)

## Protected Attributes

- _ForwardIterator _M_iter

## Member Typedef Documentation

typedef void difference_type `[inherited]`

| Distance between iterators is represented as this type. Definition at line 113 of file stl_iterator_base_types.h.

typedef output_iterator_tag iterator_category `[inherited]`

| One of the tag types. Definition at line 109 of file stl_iterator_base_types.h.

typedef void pointer `[inherited]`

| This type represents a pointer-to-value_type. Definition at line 115 of file stl_iterator_base_types.h.

typedef void reference `[inherited]`

| This type represents a reference-to-value_type. Definition at line 117 of file stl_iterator_base_types.h.

typedef void value_type `[inherited]`

| The type "pointed to" by the iterator. Definition at line 111 of file stl_iterator_base_types.h.

The documentation for this class was generated from the following file:

- stl_raw_storage_iter.h